<?php
include '../sys/fnc.php';

$microtime = microtime(1);
$session_lifetime = 1800;

error_reporting(32767);
ini_set('display_errors', 0);
ini_set('arg_separator.output', '&');
ini_set('session.use_cookies', 1);
ini_set('session.use_trans_sid', 1);
ini_set('session.cookie_domain', $_SERVER['HTTP_HOST']);
ini_set('session.cookie_httponly', 1);
session_name('SID');
function api_query($query)
{
    $content = file_get_contents($query);
    if (strpos($content, 'Authorization required') or $content == '') {
        session_unset();
        session_destroy();
        header('Location: ?error=logon');
        ob_end_flush();
        exit();
    } else {
        return $content;
    }
}
if (isset($_SERVER['HTTP_ACCEPT_ENCODING'])) {
    $accept_encoding = $_SERVER['HTTP_ACCEPT_ENCODING'];
} elseif (isset($_SERVER['HTTP_TE'])) {
    $accept_encoding = $_SERVER['HTTP_TE'];
} else {
    $accept_encoding = '';
}

if (strpos($accept_encoding, 'gzip')) {
    header('Content-Encoding: gzip');
    function gzencode5($data)
    {
        return gzencode($data, 5);
    }
    ob_start('gzencode5');
} elseif (strpos($accept_encoding, 'deflate')) {
    header('Content-Encoding: deflate');
    function gzdeflate5($output)
    {
        return gzdeflate($output, 5);
    }
    ob_start('gzdeflate5');
} else {
    ob_start();
}

session_start();
$lib = isset($_GET['lib']) ? $_GET['lib'] : '';

echo '<meta http-equiv="Content-Style-Type" content="text/css" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="format-detection" content="telephone=no"/>
    <meta name="coryright" content="Powered by Piminov Nikita"/>
    <link rel="shortcut icon" href="/favicon.ico">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="/style.css" type="text/css" />
<title>Конструктор сайтов by pimnik98/Design by Boser</title>';

if ($lib == '') {
    echo '<div style="text-align:center">' . "\n";
    if (empty($_POST['submit']) and (empty($_GET['username']) or empty($_GET['password']))) {
        if (isset($_GET['error'])) {
            if ($_GET['error'] == 'logon') {
                echo '<div id="err">Нет доступа!' . "\n";
                echo '</div>' . "\n";
            } elseif ($_GET['error'] == 'authfail') {
                echo '<div id="err">Нет доступа!' . "\n";
                echo '</div>' . "\n";
            } elseif ($_GET['error'] == 'expire') {
                echo '<div id="err">Нет доступа!' . "\n";
                echo '</div>' . "\n";
            }
        }
        echo '<form action="?username='.$user->login.'" method="post"><div id=menu>Журнал</div>' . "\n";
        echo '<div id="suc">Сервер: '.$server.'<br>';
        echo 'Логин: '.$user->login.'</div>';
        echo '<div class=block>Введите пароль чтобы продолжить:<br>';
        echo 'Пароль:<br />' . "\n";
        echo '<input name="password" type="password" /><br />' . "\n";
        echo '<input name="submit" type="submit" value="Войти" />' . "\n";
        echo '</div></form>' . "\n";
        

    } else {
        $content = api_query('https://' . $server . '/ispmgr?func=auth&out=xml&username=' . urlencode($_REQUEST['username']) . '&password=' . urlencode($_REQUEST['password']));
        $parse_xml = simplexml_load_string($content);
        if (isset($parse_xml->auth)) {
            $_SESSION['lifetime'] = $_SERVER['REQUEST_TIME'];
            $_SESSION['auth'] = (string)$parse_xml->auth;
            $_SESSION['username'] = $_REQUEST['username'];
            $_SESSION['password'] = $_REQUEST['password'];
            $content = api_query('https://' . $server . '/ispmgr?func=usrparam&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
            $parse_xml_usrparam = simplexml_load_string($content);
            $_SESSION['rows'] = (int)$parse_xml_usrparam->rows;

            if (isset($_GET['username']) and isset($_GET['password'])) {
                header('Location: ?lib=file&' . SID);
                ob_end_flush();
                exit;
            }

            echo 'Успешная авторизация!<br />' . "\n";
             header('Location: ?lib=logs');
            echo '<a href="?lib=logs">Перейти в меню</a>' . "\n";
        } else {
            session_unset();
            session_destroy();
            header('Location: ?error=authfail');
            ob_end_flush();
            exit();
        }
    }
    echo '</div>' . "\n";
} elseif (file_exists('./lib/' . $lib . '.php')) {
    echo '<div id=menu>Журнал</div><div class=block>';
    require('./lib/' . $lib . '.php');
    echo '</div>';
} else {
    session_unset();
    session_destroy();
    header('Location: ?error=logon');
    ob_end_flush();
    exit();
}
include 'foot.php';

ob_end_flush();
?>